Page MenuHomePhabricator

First Tech Debt Bash
Closed, ResolvedPublic

Description

@VColeman proposes:

The Tech Debt Bash is an attempt to help conquer our massive tech debt. The plan is to hold a bash once a month where we will discuss and prioritize subsets of the debt and add items to team goals as appropriate. We will experiment with the frequency to see what works best!
I discussed this with the Architecture Committee and they suggested we get it started during the Developer Summit to inform the folks and set a precedent so that they are aware and can participate going forward.

Event Timeline

Qgil created this task.Dec 12 2016, 11:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2016, 11:31 PM
daniel added a subscriber: greg.Dec 14 2016, 9:19 PM
Tgr added a subscriber: Tgr.Dec 23 2016, 12:31 AM

This seems to have some overlap with T149635: [WikiDev17] Developer Wishlist. One thing I tried to avoid in that proposal is to use an IRL event to do the actual prioritization as that would bias the outcome towards the needs of people present (a relatively small and WMF-dominated group). Not sure if that concern is relevant here (if the intended outcome is WMF team goals specifically then it isn't) but maybe worth considering.

(That said, I'm really happy to see the increased focus on tech debt!)

Qgil added a comment.Dec 23 2016, 8:49 AM

@greg might know more at this point, but what I have understood about this session is that the Foundation's Technology department will start organizing these Tech Debt Bash sessions periodically, and the Summit was a good opportunity to bootstrap this process organizing the first.

greg added a comment.Dec 24 2016, 5:42 AM

Yeah, @Qgil has it right, with the only addition I can/should make is: this is the first one and thus the format will evolve over time.

To be honest, I want to use these, no matter the format of how it's done in person (including "with actual prioritization during" or not), to be a mechanism for increasing the focus of tech debt across all WMF teams (iow: time spent on it), (especially) not just Technology.

Seb35 added a subscriber: Seb35.Jan 1 2017, 7:24 PM
cscott added a subscriber: cscott.Jan 5 2017, 10:09 PM

Well, I view pretty much all of wikitext as "tech debt". We have all our content stored in "the most modern format available at the time" but need to get used to a continuous upgrade/migration process. Just like the Library of Congress has data stored on 8-track, which it then migrates to floppies, CDs, DVDs, BluRay, hard drives, etc (http://www.digitalpreservation.gov/), so it's well past time for us to migrate wikitext 1.0 to wikitext 2.0 and start planning for wikitext 3.0, etc. We have done partial migrations---for example, to Scribunto templates, wikidata interlanguage links, particular syntactic constructs---but it needs to be a more regular and normalized part of our planning.

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Is this a bit like a bug day (https://www.mediawiki.org/wiki/Bug_management/Meeting_preparations ) or the (proposed) gerrit cleanup day? Let's keep in mind whatever learnings we got from those.

Is this a bit like a bug day

IMO Bugdays were more related to potential outreach / offering an onboarding path and spending some "fun time" together on IRC, but not planning which tasks to "attack next".

or the (proposed) gerrit cleanup day?

I'm not aware of any proposal.

Let's keep in mind whatever learnings we got from those.

Lessons learned from Gerrit Cleanup Day in September 2015 are available.

I said "proposed" because I couldn't remember for sure whether one had happened (I did not find a page on the wiki).

greg closed this task as Resolved.Jan 20 2017, 7:12 PM
greg claimed this task.
Restricted Application added a project: User-greg. · View Herald TranscriptJan 20 2017, 7:12 PM
Qgil awarded a token.Jan 23 2017, 1:39 PM